Bug 517082 - dispatcher scripts not executed on service stop
Summary: dispatcher scripts not executed on service stop
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-12 15:14 UTC by Miroslav Lichvar
Modified: 2012-08-16 17:55 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-16 17:55:34 UTC


Attachments (Terms of Use)

Description Miroslav Lichvar 2009-08-12 15:14:43 UTC
Description of problem:
Sometimes the dispatcher scripts in /etc/NetworkManager/dispatcher.d/ are not executed on service stop. This is on plain old ethernet with DHCP, let me know if you need more information.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.995-1.git20090804.fc12.x86_64

How reproducible:
sometimes

Steps to Reproduce:
1. modify a dispatcher script to log its execution
2. service NetworkManager start
3. wait few minutes
4. service NetworkManager stop
  
Actual results:
not executed

Expected results:
always executed

Additional info:

Comment 1 Bug Zapper 2009-11-16 11:22:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Dan Williams 2010-02-09 01:37:17 UTC
With F12 and later, ethernet connections are not always torn down when NM stops.  In fact, you should be able to do a 'service NetworkManager restart' and your network will no longer drop, because NM is able to take the connection over again when starting as long as it matches some saved network config in your ifcfg files.  Is that what you're seeing here?

It would be a bug if the dispatcher scripts were not run, *and* 'ifconfig eth0' showed the device had no IP address because NM tore it down.

Comment 3 Miroslav Lichvar 2010-04-29 13:14:46 UTC
The problem is with shutdown/reboot. The state stored by dispatcher scripts  won't be removed and will be used on next start even in a completely different LAN.

Comment 4 Bug Zapper 2010-11-04 10:32:13 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2012-08-16 17:55:36 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.